Page MenuHomePhabricator

Implement get media links endpoint
Closed, ResolvedPublic8 Estimated Story Points

Description

Description
This endpoint allows users to retrieve all media links associated with a given page. The endpoint is outlined in T230845

Requirements

  • Implement endpoint described by T230845
  • Implement integration test for behaviour
  • Add endpoint to documentation

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 22 2019, 2:16 PM
WDoranWMF triaged this task as Medium priority.Oct 22 2019, 2:16 PM
WDoranWMF set the point value for this task to 8.Oct 30 2019, 10:35 PM
BPirkle claimed this task.Nov 6 2019, 4:51 AM
BPirkle moved this task from Ready to Doing on the Platform Team Workboards (Green) board.

Change 551715 had a related patch set uploaded (by BPirkle; owner: BPirkle):
[mediawiki/core@master] Add core REST API endpoint for media links

https://gerrit.wikimedia.org/r/551715

Change 551715 merged by jenkins-bot:
[mediawiki/core@master] Add core REST API endpoint for media links

https://gerrit.wikimedia.org/r/551715

Hi @BPirkle, Here are the docs for this endpoint for your review: https://www.mediawiki.org/wiki/API:REST_API/Pages#Get_media_files

Let me know what you think. Feel free to edit the pages directly, provide feedback via this task or the doc talk page, or let me know and I can schedule a synchronous chat if that's easier.

@apaskulin , this looks great! My only comments are identical to what I said on T236170, so I won't repeat them here.

Thanks again! Updates made here.

apaskulin updated the task description. (Show Details)Mar 16 2020, 9:58 PM
BPirkle removed BPirkle as the assignee of this task.Jun 18 2020, 6:45 PM
BPirkle added a subscriber: BPirkle.
eprodromou closed this task as Resolved.Sep 8 2020, 11:53 AM
eprodromou claimed this task.